module Feature.Handlers ( root ) where

import Core.Types
import qualified Core.Mongo as DB

import Control.Monad.Reader (ask, lift)
import Data.AesonBson (aesonify)
import Data.Bson (Document, Field (..), Value (Array, Doc))
import qualified Data.Text as T
import qualified Data.Text.Lazy as LT
import Web.Scotty.Trans (json)
import Prelude hiding (id)

root :: PurrAction ()
root = do 
  config <- lift $ ask
  docs   <- DB.tempGetDocs config
  json $ aesonify ["allDocs" := Array (map Doc docs)]
